Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.iterablelayouts
Class SpringLayout.SpringVertex

    java.lang.Object
      samples.preview_new_graphdraw.Coordinates
          samples.preview_new_graphdraw.VisVertex
              samples.preview_new_graphdraw.iterablelayouts.SpringLayout.SpringVertex

Enclosing class:
  SpringLayout

protected static class SpringLayout.SpringVertex
extends VisVertex

Field Summary
`double` | `dx` movement speed, x
`double` | `dy` movement speed, y
`double` | `edgedx`
`double` | `edgedy`
`double` | `repulsiondx`
`double` | `repulsiondy`

Fields inherited from class samples.preview_new_graphdraw.VisVertex
`mVertex`

Fields inherited from class samples.preview_new_graphdraw.Coordinates
`x, y`

Constructor Summary
`SpringLayout.SpringVertex(Vertex v, double x, double y)`

Methods inherited from class samples.preview_new_graphdraw.VisVertex
`copy, getSquareDistance, getVertex`

Methods inherited from class samples.preview_new_graphdraw.Coordinates
`equals, getX, getY, hashCode, offset, scale, setX, setY`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### edgedx

    public double edgedx

### edgedy

    public double edgedy

### repulsiondx

    public double repulsiondx

### repulsiondy

    public double repulsiondy

### dx

    public double dx

  movement speed, x

### dy

    public double dy

  movement speed, y

Constructor Detail

### SpringLayout.SpringVertex

    public SpringLayout.SpringVertex(Vertex v,
                                     double x,
                                     double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD